Crypto++ 8.6 Free C++ class library of cryptographic schemes

Public Member Functions | List of all members
OS_Error Class Reference

The operating system reported an error. More...

Inheritance diagram for OS_Error:

## Public Member Functions
| OS_Error (ErrorType errorType, const std::string &s, const std::string &operation, int errorCode)
| Construct an OS_Error. More...
const std::string & | GetOperation () const
| Retrieve the operating system API that reported the error.
int | GetErrorCode () const
| Retrieve the error code returned by the operating system.
Public Member Functions inherited from Exception
| Exception (ErrorType errorType, const std::string &s)
| Construct a new Exception.
const char * | what () const throw ()
| Retrieves a C-string describing the exception.
const std::string & | GetWhat () const
| Retrieves a string describing the exception.
void | SetWhat (const std::string &s)
| Sets the error string for the exception.
ErrorType | GetErrorType () const
| Retrieves the error type for the exception.
void | SetErrorType (ErrorType errorType)
| Sets the error type for the exceptions.

## Additional Inherited Members
Public Types inherited from Exception
enum | ErrorType { NOT_IMPLEMENTED, INVALID_ARGUMENT, CANNOT_FLUSH, DATA_INTEGRITY_CHECK_FAILED, INVALID_DATA_FORMAT, IO_ERROR, OTHER_ERROR }
| Error types or categories. More...

## Detailed Description

The operating system reported an error.

Definition at line 252 of file cryptlib.h.

## Constructor & Destructor Documentation

## ◆ OS_Error()

OS_Error::OS_Error | ( | ErrorType | errorType,
|  | const std::string & | s,
|  | const std::string & | operation,
|  | int | errorCode
| ) |  |
| inline

Construct an OS_Error.

Parameters

  errorType | the error type
  s | the message for the exception
  operation | the operation for the exception
  errorCode | the error code

The member function `what()` returns `s`.

Definition at line 263 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h